Quantcast

ToolShed devteam tools error

classic Classic list List threaded Threaded
1 message Options
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

ToolShed devteam tools error

Yip, Miu ki
Hi all,

After installing the following devteam tools from the ToolShed: Base Coverage/Cluster/Complement/Concatenate/Flanking_features/get_flanks/Intersect/Join/Merge/Subtract

The tools give an error after being run.

Traceback (most recent call last):
  File "/galaxy/shed_tools/toolshed.g2.bx.psu.edu/repos/devteam/basecoverage/0a3e3133b09d/basecoverage/gops_basecoverage.py", line 15, in <module>
    from galaxy.tools.util.galaxyops import fail, parse_cols_arg, skipped
  File "/galaxy/galaxy/lib/galaxy/tools/__init__.py", line 18, in <module>
    from mako.template import Template
ImportError: No module named mako.template

Both the python virtual environment and the machine locally has the module mako installed. This module is also accessible via the interactive python shell. Is the error coming from the galaxy.tools.util.galaxyops or something else?

Thanks!
Miuki
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Loading...